SUMMARY = "SleepIQ Sleep Expert eMMC root filesystem"

IMAGE_FSTYPES = "tar.xz"
IMAGE_FEATURES += "read-only-rootfs"

do_SE_tweaks () {
    mkdir ${IMAGE_ROOTFS}/update
    mkdir -p ${IMAGE_ROOTFS}/media/usb/log.d
    mkdir -p ${IMAGE_ROOTFS}/mnt/rwfs
    ln -sf /bam/scripts/bammit ${IMAGE_ROOTFS}/etc/init.d/bammit

    # Change root $HOME
    rmdir ${IMAGE_ROOTFS}/home/root
    sed -i -e 's#/home/root#/root#' ${IMAGE_ROOTFS}/etc/passwd
    sed -i -e 's#/home/root#/root#' ${IMAGE_ROOTFS}/etc/passwd-
    sed -i -e 's#/home/root#/root#' ${IMAGE_ROOTFS}/etc/profile
    sed -i -e 's/^#kernel.printk.*$/kernel.printk = 4 4 1 7/' ${IMAGE_ROOTFS}/etc/sysctl.conf
    mkdir ${IMAGE_ROOTFS}/root
    ln -sf .bashrc ${IMAGE_ROOTFS}/root/.profile

    # We want to opt out of some of the "read-only-rootfs" hooks as we
    # handle them differently:
    # ssh - Provide pre-generated keys
    rm ${IMAGE_ROOTFS}/etc/default/ssh
    # tmp is already setup.
    rm ${IMAGE_ROOTFS}/tmp
    mkdir ${IMAGE_ROOTFS}/tmp

    # Minor cleanups:
    # No need to update alternatives again
    rm -rf ${IMAGE_ROOTFS}/usr/lib/opkg
    # No RPM
    rm -rf ${IMAGE_ROOTFS}/etc/rpm
}

# We must use append here to be at the end of the list and make the
# read_only_rootfs_hook function do things how we want instead.
ROOTFS_POSTPROCESS_COMMAND_append += "do_SE_tweaks;"

# Missing traceproto ?
IMAGE_INSTALL = "\
    alsa-lib \
    auto-serial-console \
    bash \
    coreutils \
    cpio \
    crda \
    cronie \
    curl \
    dhcp-client \
    dosfstools \
    file \
    fluentbit \
    gawk \
    grep \
    ifupdown \
    iw \
    kernel-devicetree \
    kernel-modules \
    kmod \
    linux-firmware-wl12xx \
    linux-firmware-wl18xx \
    logrotate \
    lsof \
    net-tools \
    ntp ntpq \
    nmap \
    openssh-scp \
    openssh-ssh \
    openssh-sshd \
    openssl \
    openssl-bin \
    packagegroup-core-boot \
    procps \
    psmisc \
    rsyslog \
    tar \
    tcpdump \
    traceroute \
    tree \
    tzdata-americas \
    u-boot-fw-utils \
    udev-siqlabs-extraconf \
    unzip \
    usbutils \
    util-linux-logger \
    netcat-openbsd \
    vim-tiny \
    wireless-tools \
    wpa-supplicant \
    "

IMAGE_LINGUAS = " "

LICENSE = "MIT"

inherit core-image

IMAGE_ROOTFS_SIZE ?= "8192"

# Transform the prefix to what the rest of the system expects
IMAGE_CMD_TAR = "tar --transform='flags=rSh;s#^\.#rfs_poky#'"

# Need to add ED25519 key to bam stuff

# Additions to our SDK
TOOLCHAIN_HOST_TASK_append = " nativesdk-python3-pip"
TOOLCHAIN_HOST_TASK_append = " nativesdk-ninja"
TOOLCHAIN_HOST_TASK_append = " nativesdk-cmake"
