DESCRIPTION = "initrd based portion of SE booting."

PACKAGE_INSTALL = " \
    ${ROOTFS_BOOTSTRAP_INSTALL} \
    alsa-lib \
    base-passwd \
    bash \
    busybox \
    e2fsprogs-e2fsck \
    openssl \
    openssl-bin \
    psmisc \
    tar \
    u-boot-fw-utils \
    udev \
    unzip \
    util-linux-fdisk \
    "

# Do not pollute the initrd image with rootfs features
IMAGE_FEATURES = ""

export IMAGE_BASENAME = "bam-se-initrd-5xx-image"
IMAGE_LINGUAS = ""

FEED_DEPLOYDIR_BASE_URI = ""
LDCONFIGDEPEND = ""

LICENSE = "MIT"

inherit core-image

IMAGE_FSTYPES = "tar.bz2"
# Transform the prefix to what the rest of the system expects
IMAGE_CMD_TAR = "tar --transform='flags=rSh;s#^\.#initrd_tar#'"

# Minor tweaks we need
do_SE_initrd_tweaks () {
    # Provide /dev/console
    install -d ${IMAGE_ROOTFS}/dev
    mknod -m 622 ${IMAGE_ROOTFS}/dev/console c 5 1

    # Various dirs
    mkdir -p ${IMAGE_ROOTFS}/media/usb
    mkdir -p ${IMAGE_ROOTFS}/mnt/rwfs
    mkdir -p ${IMAGE_ROOTFS}/real.root

    # Minor cleanups:
    rmdir ${IMAGE_ROOTFS}/home/root
    # No need to update alternatives again
    rm -rf ${IMAGE_ROOTFS}/usr/lib/opkg
    # No regular init scripts
    rm -rf ${IMAGE_ROOTFS}/etc/init.d
    rm -rf ${IMAGE_ROOTFS}/etc/rcS.d
    # No RPM
    rm -rf ${IMAGE_ROOTFS}/etc/rpm
}

ROOTFS_POSTPROCESS_COMMAND += "do_SE_initrd_tweaks;"

BAD_RECOMMENDATIONS += "busybox-syslog"
